Package org.apache.sling.cms.reference.forms.impl.actions

## Class RequestPasswordResetAction

- java.lang.Object
- - org.apache.sling.cms.reference.forms.impl.actions.RequestPasswordResetAction

All Implemented Interfaces:
  `FormAction`

    public class RequestPasswordResetAction
    extends Object
    implements FormAction

### Field Summary

Fields
`static String` `PN_RESETTIMEOUT`
`static String` `PN_RESETTOKEN`
`static String` `RESOURCE_TYPE`

### Constructor Summary

Constructors
`RequestPasswordResetAction​(org.apache.sling.api.resource.ResourceResolverFactory factory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`FormActionResult` `handleForm​(org.apache.sling.api.resource.Resource actionResource, FormRequest request)` Handle a form submission.
`boolean` `handles​(org.apache.sling.api.resource.Resource actionResource)` Checks if the the Form Action should handle the specified request and action

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### RESOURCE_TYPE

    public static final String RESOURCE_TYPE

See Also:
  Constant Field Values

#### PN_RESETTOKEN

    public static final String PN_RESETTOKEN

See Also:
  Constant Field Values

#### PN_RESETTIMEOUT

    public static final String PN_RESETTIMEOUT

See Also:
  Constant Field Values

### Constructor Detail

#### RequestPasswordResetAction

    public RequestPasswordResetAction​(org.apache.sling.api.resource.ResourceResolverFactory factory)

### Method Detail

#### handleForm

    public FormActionResult handleForm​(org.apache.sling.api.resource.Resource actionResource,
                                       FormRequest request)
                                throws FormException

Description copied from interface: `FormAction`
Handle a form submission. The form can be assumed to have been validated.

Specified by:
  `handleForm` in interface `FormAction`
Parameters:
  `actionResource` - the configuration to use to configure the form action
  `request` - the form request to handle
Returns:
  the result of the action
Throws:
  `FormException` - an exception occurs handling the form

#### handles

    public boolean handles​(org.apache.sling.api.resource.Resource actionResource)

Description copied from interface: `FormAction`
Checks if the the Form Action should handle the specified request and action

Specified by:
  `handles` in interface `FormAction`
Parameters:
  `actionResource` - the resource to check
Returns:
  true if this FormAction should handle the configuration, false otherwise